Navigation

Install MongoDB

MongoDB is available in two editions: Community and Enterprise.

Tip

This section of the manual contains information on installing MongoDB.

Upgrade Community Edition to Enterprise Edition Tutorials

Important

Do not use these instructions to upgrade to another release version. To upgrade release versions, refer to the appropriate release upgrade instructions, such as Upgrade to MongoDB 4.0.

Supported Platforms

Changed in version 3.4: MongoDB no longer supports 32-bit x86 platforms.

x86_64

Platform Support EOL Notice

Debian 7 Support removed in MongoDB 4.0+.
Ubuntu 12.04 Support removed in MongoDB 4.0+.
macOS 10.10 Support removed in MongoDB 4.0+.

Upcoming EOL Notice:

Windows 8.1/2012R2 MongoDB will end support in future releases.
Windows 8/2012 MongoDB will end support in future releases.
Windows 7/2008R2 MongoDB will end support in future releases.
Ubuntu 14.04 MongoDB will end support in future releases.

Platform 4.0 Community & Enterprise 3.6 Community & Enterprise 3.4 Community & Enterprise
Amazon Linux 2    
Amazon Linux 2013.03 and later
Debian 9 3.6.5+  
Debian 8
RHEL/CentOS/Oracle Linux [1] 8.0 and later 4.0.14+ 3.6.17+  
RHEL/CentOS/Oracle Linux [1] 7.0 and later
RHEL/CentOS/Oracle Linux [1] 6.2 and later
SLES 12
Solaris 11 64-bit     Community only
Ubuntu 18.04 4.0.1+ 3.6.20+  
Ubuntu 16.04
Ubuntu 14.04
Windows 10 / Server 2016
Windows 8.1 / Server 2012 R2
Windows 8 / Server 2012
Windows 7 / Server 2008 R2
Windows Vista    
macOS 10.13 and later    
macOS 10.11 and 10.12
macOS 10.10  
macOS 10.8 and 10.9    
[1](1, 2, 3) MongoDB only supports Oracle Linux running the Red Hat Compatible Kernel (RHCK). MongoDB does not support the Unbreakable Enterprise Kernel (UEK).

ARM64

Platform 4.0 Community & Enterprise 3.6 Community & Enterprise 3.4 Community & Enterprise
Ubuntu 16.04

PPC64LE (MongoDB Enterprise Edition)

Platform 4.0 Enterprise 3.6 Enterprise 3.4 Enterprise
RHEL/CentOS 7
Ubuntu 16.04 Removed starting in 3.6.13 Removed starting in 3.4.21

s390x

Platform Support EOL Notice

  • MongoDB 4.0.14 Community removes support for the s390x platform. Please upgrade to MongoDB 4.2 for s390x support for the Community Edition.
Platform 4.0 Enterprise 3.6 Enterprise 3.4 Enterprise
RHEL/CentOS 7 4.0.6+ Removed starting in 3.6.17 Removed starting in 3.4.14
RHEL/CentOS 6 Removed starting in 3.6.14 Removed starting in 3.4.22
SLES12 4.0.6+ Removed starting in 3.6.17 Removed starting in 3.4.13
Ubuntu 18.04 4.0.6+